library(R6)
library(yaml)

Recipe <- R6Class("Recipe",
  public = list(
    filename = NULL,
    dir = NULL,
    run_conf = NULL,
    info = NULL,
    params = NULL,
    initialize = function(filename = NA, dir = NA) {

      if (is.na(dir)){
        self$filename <- basename(filename)
        self$dir <- dirname(filename)
      } else {
        self$filename <- filename
        self$dir <- dir 
      }
      yml <- read_yaml(self$get_filepath())
      self$run_conf <- yml$Run 
      self$info <- yml$Description 
      self$params <- yml$Analysis 
    },

    get_filepath = function() {
      return(paste0(self$dir,"/",self$filename)) 
    }

  )
)


#recipe <- Recipe$new(filename="/esarchive/scratch/lpalma/git/auto-s2s/recipes/seasonal_oper_atomic.yml")
#recipe <- Recipe$new("seasonal_oper_atomic.yml","/esarchive/scratch/lpalma/git/auto-s2s/recipes/")

